class ObjUtil {
  static bool isNotEmptyStr(String? str) {
    return str != null && str.trim().isNotEmpty;
  }

  static String getStr(String? str) {
    return isNotEmptyStr(str) ? str! : '';
  }

  static bool isNotEmptyList(Iterable? list) {
    return list != null && list.isNotEmpty;
  }

  static bool isNotEmptyMap(Map? map) {
    return map != null && map.isNotEmpty;
  }

  static bool isEmpty(Object? object) {
    if (object == null) return true;
    if (object is String && object.trim().isEmpty) {
      return true;
    } else if (object is Iterable && object.isEmpty) {
      return true;
    } else if (object is Map && object.isEmpty) {
      return true;
    }
    return false;
  }

  static bool isNotEmpty(Object? object) {
    return !isEmpty(object);
  }

  /// Returns true Two List Is Equal.
  static bool twoListIsEqual(List? listA, List? listB) {
    if (listA == listB) return true;
    if (listA == null || listB == null) return false;
    int length = listA.length;
    if (length != listB.length) return false;
    for (int i = 0; i < length; i++) {
      if (!listA.contains(listB[i])) {
        return false;
      }
    }
    return true;
  }
}